Source: haskell-jmacro
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-aeson-dev (>= 0.5),
 libghc-aeson-prof,
 libghc-parseargs-dev,
 libghc-parseargs-prof,
 libghc-regex-posix-dev (>> 0.9),
 libghc-regex-posix-prof,
 libghc-safe-dev (>= 0.2),
 libghc-safe-prof,
 libghc-src-exts-dev,
 libghc-src-exts-prof,
 libghc-src-meta-dev,
 libghc-src-meta-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
 libghc-vector-dev (>= 0.8),
 libghc-vector-prof,
 libghc-wl-pprint-text-dev,
 libghc-wl-pprint-text-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-aeson-doc,
 libghc-regex-posix-doc,
 libghc-safe-doc,
 libghc-src-exts-doc,
 libghc-src-meta-doc,
 libghc-syb-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
 libghc-wl-pprint-text-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/jmacro
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-jmacro
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-jmacro]
X-Description: library for programmatic generation of JavaScript
 jmacro is a QuasiQuotation library for programmatic generation of
 JavaScript code in Haskell: JavaScript syntax, functional syntax,
 hygienic names, compile-time guarantees of syntactic correctness,
 limited typechecking.

Package: jmacro
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libghc-jmacro-dev,
Suggests:
 libghc-jmacro-doc,
 libghc-jmacro-prof,
Provides:
 ${haskell:Provides},
Description: utility for jmacro JavaScript generation library
 jmacro is a QuasiQuotation library for programmatic generation of
 JavaScript code in Haskell.  This contains the 'jmacro' binary.

Package: libghc-jmacro-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-jmacro-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-jmacro-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
